<?php
/**
 * @file
 * admin.features.inc
 */

/**
 * Implements hook_default_Workflow().
 */
function admin_default_Workflow() {
  $workflows = array();

  // Exported workflow: 'Publication'
  $workflows['Publication'] = entity_import('Workflow', '{
    "name" : "Publication",
    "tab_roles" : { "-1" : "-1" },
    "options" : {
      "comment_log_node" : "0",
      "comment_log_tab" : "0",
      "name_as_title" : "0",
      "watchdog_log" : "0"
    },
    "states" : {
      "(creation)" : {"weight":"-50","sysid":"1","state":"(creation)","status":"1","name":"(creation)"},
      "brouillon" : {"weight":"-20","sysid":"0","state":"Brouillon","status":"1","name":"brouillon"},
      "en_attente" : {"weight":"-20","sysid":"0","state":"En attente","status":"1","name":"en_attente"},
      "publie" : {"weight":"-20","sysid":"0","state":"Publi\\u00e9","status":"1","name":"publie"}
    },
    "transitions" : {
      "_creation_to_brouillon" : {"roles":{"-1":"-1"},"name":"_creation_to_brouillon","label":"","start_state":"(creation)","end_state":"brouillon"},
      "_creation_to_en_attente" : {"roles":[],"name":"_creation_to_en_attente","label":"","start_state":"(creation)","end_state":"en_attente"},
      "_creation_to_publie" : {"roles":[],"name":"_creation_to_publie","label":"","start_state":"(creation)","end_state":"publie"},
      "brouillon_to_en_attente" : {"roles":{"-1":"-1"},"name":"brouillon_to_en_attente","label":"","start_state":"brouillon","end_state":"en_attente"},
      "en_attente_to_brouillon" : {"roles":{"-1":"-1"},"name":"en_attente_to_brouillon","label":"","start_state":"en_attente","end_state":"brouillon"},
      "en_attente_to_publie" : {"roles":{"-1":"-1"},"name":"en_attente_to_publie","label":"","start_state":"en_attente","end_state":"publie"},
      "publie_to_brouillon" : {"roles":{"-1":"-1"},"name":"publie_to_brouillon","label":"","start_state":"publie","end_state":"brouillon"},
      "publie_to_en_attente" : {"roles":{"-1":"-1"},"name":"publie_to_en_attente","label":"","start_state":"publie","end_state":"en_attente"}
    },
    "label" : "Publication",
    "typeMap" : [ "documentair", "episode", "page", "thematique" ],
    "system_roles" : {
      "-1" : "(auteur)",
      "1" : "utilisateur anonyme",
      "2" : "utilisateur authentifi\\u00e9",
      "3" : "administrateur",
      "4" : "racine"
    }
  }');

  return $workflows;
}

/**
 * Implements hook_ctools_plugin_api().
 */
function admin_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function admin_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}
